#include <stdio.h>
#define EPS 0.0001

/* x の2乗を返す */
double f(double x) { return x * x; }

/* f(x) の数値微分を返す */
double g(double x) { return (f(x + EPS) - f(x)) / EPS; }

/* x の4乗を返す */
double h(double x) { return f(f(x)); }

int main(void) {
    printf("f(3.0) = %.8f\n", f(3.0)); // f(3.0) = 9.00000000
    printf("g(3.0) = %.8f\n", g(3.0)); // g(3.0) = 6.00010000
    printf("h(3.0) = %.8f\n", h(3.0)); // h(3.0) = 81.00000000
    return 0;
}
