#include <stdio.h>

/* 原点が中心で半径rの円が、点(x,y)を含むなら論理型のTRUE、
   そうでなければFALSEを返す */
int is_in_circle(double r, double x, double y) {
    return (x * x + y * y <= r * r);
}

void print_is_in_circle(double r, double x, double y) {
    printf("原点を中心とする半径 %g の円は、点(%g,%g)を", r, x, y);
    if (is_in_circle(r,x,y)) {
        printf("含む\n");
    } else {
        printf("含まない\n");
    }
}

int main(void) {
    print_is_in_circle(1.4143, 1.0, 1.0); // 含む
    print_is_in_circle(1.4142, 1.0, 1.0); // 含まない
    return 0;
}
