#include <stdio.h>

int call_num_local(void) { // (A) 失敗
    int n = 0; // ローカル変数（短い変数名）
    n++;
    return n; // 1, 1, 1, ...
}

int call_num_global_counter = 0; // グローバル変数（長い変数名）
int call_num_global(void) { // (B)
    call_num_global_counter++;
    return call_num_global_counter; // 1, 2, 3, ...
}

int call_num_static_local(void) { // (C)
    static int n = 0; // staticなローカル変数（短い変数名）
    n++;
    return n; // 1, 2, 3, ...
}

static int count = 0; // staticなグローバル変数（少し長い変数名）
int call_num_static_global(void) { // (D)
    count++;
    return count; // 1, 2, 3, ...
}

int main(void) {
    for (int i=0; i<5; i++) {
        printf("local=%d, ",         call_num_local());
        printf("global=%d, ",        call_num_global());
        printf("static_local=%d, ",  call_num_static_local());
        printf("static_global=%d\n", call_num_static_global());
    }
}
